#!/usr/bin/python3

print('Exif tool started')

import sys
import piexif as x

if len(sys.argv) < 1:
    print('Give some files in input')
    quit()


timeTagCodes = []
for (k, v) in x.TAGS['Exif'].items():
    if 'Time' in v['name']:
        timeTagCodes.append(k)

filenames = sys.argv[1:]

def describeTimeOf(filename: str):
    e = x.load(filename)['Exif']
    for k in timeTagCodes:
        if k in e.keys():
            print('Exif[', k, ']=', e[k], '->', x.TAGS['Exif'][k]['name'])
        else:
            print('Exif[', k, ']=', '?', '->', x.TAGS['Exif'][k]['name'])

for filename in filenames:
    print(filename)
    describeTimeOf(filename)
    print()
